iscsi_session_address_get(3)

NAME
iscsi_session_address_get - Retrieve iSCSI target address of specified session

SYNOPSIS
const char * iscsi_session_address_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iSCSI target network address of specified iSCSI session.

RETURN
const char *. Empty string if not supported. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.